Bug 507585 - Review Request: python-PSI - Shows real time system information in python
Review Request: python-PSI - Shows real time system information in python
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-23 07:44 EDT by kushaldas@gmail.com
Modified: 2010-04-15 11:49 EDT (History)
6 users (show)

See Also:
Fixed In Version: python-PSI-0.3-0.1.b2.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-12 21:47:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lemenkov: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description kushaldas@gmail.com 2009-06-23 07:44:41 EDT
Spec URL: http://kushal.fedorapeople.org/packages/python-psi.spec
SRPM URL: http://kushal.fedorapeople.org/packages/python-psi-0.3b1.1-1.fc11.src.rpm

Description: psi is a Python module providing direct access to real-time system and process information.

Did a successful scratch build in koji http://koji.fedoraproject.org/koji/taskinfo?taskID=1431763
Comment 1 Susi Lehtola 2009-07-03 14:52:34 EDT
Rahul: if you're reviewing this, please set the bug status to assigned and change the fedora-review tag to ?.
Comment 2 Peter Lemenkov 2009-10-01 07:40:34 EDT
It seems, that Rahul quite busy now, so I'll review it.
Comment 3 Peter Lemenkov 2009-10-05 09:52:41 EDT
REVIEW:

+ rpmlint is silent

[petro@Sulaco SPECS]$ rpmlint ../RPMS/ppc/python-psi-*
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
[petro@Sulaco SPECS]$

- The package must be named according to the Package Naming Guidelines. However I found two possible issues - it looks like this is a pre-release package, so it probably should be versioned as 0.3.1-0.%{release}.b1, however I'm not sure. The second possible issue is the capitalization of name - perhaps, it would be better to name it as python-PSI.

- Please, use %global instead of %define in the very first line of spec.

- Please, consider adding examples as %doc

+ Otherwise, the package meets the Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.
+ The License field in the package spec file matches the actual license.
+ The file, containing the text of the license(s) for the package, is included in %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package matches the upstream source, as provided in the spec URL.

[petro@Sulaco SOURCES]$ sha256sum PSI-0.3b1.1.tar.gz*
80a3c917f108e500e1c4381e81dfb4cb42cfa504a3bef69fc6c34144ced3b744  PSI-0.3b1.1.tar.gz
80a3c917f108e500e1c4381e81dfb4cb42cfa504a3bef69fc6c34144ced3b744  PSI-0.3b1.1.tar.gz.1
[petro@Sulaco SOURCES]$

+ The package successfully compiles and builds into binary rpms on at least one primary architecture.
+ All build dependencies are listed in BuildRequires.
+ The package does NOT bundle copies of system libraries.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files were set properly.
+ The package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ The package consistently uses macros. 
+ The package contains code, or permissible content.
+ Everything, the package includes as %doc, does not affect the runtime of the application.
+ The package does NOT contain any .la libtool archives.
+ The package does not own files or directories already owned by other packages.
+ At the beginning of %install, the package runs rm -rf %{buildroot} (or $RPM_BUILD_ROOT). 
+ All filenames in rpm packages are valid UTF-8. 

Please, comment/fix issues, mentioned above, and I'll continue.
Comment 4 Peter Lemenkov 2009-10-13 08:06:41 EDT
Ping!
Comment 5 Peter Lemenkov 2009-10-23 05:59:23 EDT
Ping, again.
Comment 6 Peter Lemenkov 2009-11-02 01:45:31 EST
Ping, again!
Comment 7 kushaldas@gmail.com 2009-11-02 01:54:00 EST
Sorry for the vanishing act. My main system was broken but now back alive, will look into this within few hours.
Comment 8 Peter Lemenkov 2010-03-15 08:11:52 EDT
Any news?
Comment 9 Andrew Colin Kissa 2010-03-15 08:24:32 EDT
Kushal, i can setup in and submit if you are too busy to get to this, i need this for a project am working on.
Comment 10 kushaldas@gmail.com 2010-03-18 07:48:51 EDT
(In reply to comment #9)
> Kushal, i can setup in and submit if you are too busy to get to this, i need
> this for a project am working on.    
Please go ahead on this, I am really sorry for not updating on time :(
Comment 11 Andrew Colin Kissa 2010-03-18 09:39:43 EDT
Okay i will submit a fixed spec later today.
Comment 13 Peter Lemenkov 2010-03-25 07:24:51 EDT
Ok, all issues were addressed, so here is the rest of my review:

+ rpmlint is silent:

Sulaco ~/rpmbuild/SPECS: rpmlint ../RPMS/ppc/python-PSI-*
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
Sulaco ~/rpmbuild/SPECS:

+ Sources matches upstream:

Sulaco ~/rpmbuild/SOURCES: sha256sum PSI-0.3b2.tar.gz*
40cafe588746191294c46d8cfb010921f66294cf73b55690e412040de0aabb05  PSI-0.3b2.tar.gz
40cafe588746191294c46d8cfb010921f66294cf73b55690e412040de0aabb05  PSI-0.3b2.tar.gz.1
Sulaco ~/rpmbuild/SOURCES:

This package is

APPROVED
Comment 14 Andrew Colin Kissa 2010-03-25 07:29:40 EDT
Thanks Peter, for the review.

New Package CVS Request
=======================
Package Name: python-PSI
Short Description: summary of package
Owners: topdog
Branches: F-11 F-12 F-13 EL-5
Comment 15 Dennis Gilmore 2010-03-25 16:54:30 EDT
CVS Done
Comment 16 Fedora Update System 2010-03-26 03:31:38 EDT
python-PSI-0.3-0.1.b2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/python-PSI-0.3-0.1.b2.el5
Comment 17 Fedora Update System 2010-03-26 03:31:44 EDT
python-PSI-0.3-0.1.b2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/python-PSI-0.3-0.1.b2.fc11
Comment 18 Fedora Update System 2010-03-26 03:31:48 EDT
python-PSI-0.3-0.1.b2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/python-PSI-0.3-0.1.b2.fc12
Comment 19 Fedora Update System 2010-03-26 03:31:53 EDT
python-PSI-0.3-0.1.b2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/python-PSI-0.3-0.1.b2.fc13
Comment 20 Fedora Update System 2010-03-26 20:54:33 EDT
python-PSI-0.3-0.1.b2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-PSI'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/python-PSI-0.3-0.1.b2.fc12
Comment 21 Fedora Update System 2010-03-26 21:00:07 EDT
python-PSI-0.3-0.1.b2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-PSI'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/python-PSI-0.3-0.1.b2.fc11
Comment 22 Fedora Update System 2010-03-26 22:31:19 EDT
python-PSI-0.3-0.1.b2.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-PSI'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/python-PSI-0.3-0.1.b2.el5
Comment 23 Fedora Update System 2010-04-01 15:31:42 EDT
python-PSI-0.3-0.1.b2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-PSI'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/python-PSI-0.3-0.1.b2.fc13
Comment 24 Fedora Update System 2010-04-12 21:47:02 EDT
python-PSI-0.3-0.1.b2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 25 Fedora Update System 2010-04-12 21:51:33 EDT
python-PSI-0.3-0.1.b2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 26 Fedora Update System 2010-04-12 21:53:39 EDT
python-PSI-0.3-0.1.b2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 27 Fedora Update System 2010-04-15 11:49:14 EDT
python-PSI-0.3-0.1.b2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.